Bug 183976 - [patch] net-mgmt/xymon-server: fix LDAP support
Summary: [patch] net-mgmt/xymon-server: fix LDAP support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-15 02:20 UTC by Kan Sasaki
Modified: 2013-11-17 21:10 UTC (History)
0 users

See Also:


Attachments
file.diff (429 bytes, patch)
2013-11-15 02:20 UTC, Kan Sasaki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kan Sasaki 2013-11-15 02:20:00 UTC
In spite of enabling WITH_LDAP, xymonnet does not compile properly.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-11-15 02:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->feld

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Mark Felder freebsd_committer 2013-11-15 22:54:55 UTC
This fixes that issue which I wasnt aware of, but doesnt seem to compile with FreeBSD 10. What FreeBSD version are you currently running?
Comment 3 Kan Sasaki 2013-11-16 02:24:27 UTC
SGksDQoNCkZyb206IE1hcmsgRmVsZGVyIDxmZWxkQEZyZWVCU0Qub3JnPg0KU3ViamVjdDogUmU6
IHBvcnRzLzE4Mzk3NjogW3BhdGNoXSBuZXQtbWdtdC94eW1vbi1zZXJ2ZXI6IGZpeCBMREFQIHN1
cHBvcnQNCkRhdGU6IEZyaSwgMTUgTm92IDIwMTMgMTY6NTQ6NTUgLTA2MDANCg0KPiBUaGlzIGZp
eGVzIHRoYXQgaXNzdWUgd2hpY2ggSSB3YXNuonQgYXdhcmUgb2YsIGJ1dCBkb2VzbqJ0IHNlZW0g
dG8gY29tcGlsZSB3aXRoIEZyZWVCU0QgMTAuIFdoYXQgRnJlZUJTRCB2ZXJzaW9uIGFyZSB5b3Ug
Y3VycmVudGx5IHJ1bm5pbmc/DQoNCkkndmUgdGVzdGVkIG9uIEZyZWVCU0QgOS4yLVNUQUJMRSAj
MCByMjU3ODMwIGFuZCBGcmVlQlNEIDguNC1TVEFCTEUgIzANCnIyNTYzMDQuIEkgZG9uJ3QgdXNl
IEZyZWVCU0QgMTAgYW5kIGhhdmVuJ3QgdGVzdGVkIG9uIGl0Lg0KDQpSZWdhcmRzLA0KDQotLSAN
CkZ1c2lvbiBDb21tdW5pY2F0aW9ucyBDb3JwLg0KS2FuIFNhc2FraSAgc2FzYWtpQGZjYy5hZC5q
cA0K
Comment 4 Kan Sasaki 2013-11-16 05:36:49 UTC
Hi,

# Previous reply was base64-encoded. So, try again.

From: Mark Felder <feld@FreeBSD.org>
Subject: Re: ports/183976: [patch] net-mgmt/xymon-server: fix LDAP support
Date: Fri, 15 Nov 2013 16:54:55 -0600

> This fixes that issue which I wasn't aware of, but doesn't seem to compile with FreeBSD 10. What FreeBSD version are you currently running?

I've tested on FreeBSD 9.2-STABLE #0 r257830 and FreeBSD 8.4-STABLE #0
r256304. I don't use FreeBSD 10 and haven't tested on it.

Regards,

-- 
Fusion Communications Corp.
Kan Sasaki  sasaki@fcc.ad.jp
Comment 5 dfilter service freebsd_committer 2013-11-17 21:09:02 UTC
Author: feld
Date: Sun Nov 17 21:08:54 2013
New Revision: 334123
URL: http://svnweb.freebsd.org/changeset/ports/334123

Log:
  Fix LDAP option
  Fix directory permission issue
  
  PR:		ports/183976
  Approved by:	swills (mentor)

Modified:
  head/net-mgmt/xymon-server/Makefile
  head/net-mgmt/xymon-server/files/Makefile
  head/net-mgmt/xymon-server/pkg-plist

Modified: head/net-mgmt/xymon-server/Makefile
==============================================================================
--- head/net-mgmt/xymon-server/Makefile	Sun Nov 17 21:04:12 2013	(r334122)
+++ head/net-mgmt/xymon-server/Makefile	Sun Nov 17 21:08:54 2013	(r334123)
@@ -2,6 +2,7 @@
 
 PORTNAME=	xymon
 PORTVERSION=	4.3.12
+PORTREVISION=	1
 CATEGORIES=	net-mgmt www
 MASTER_SITES=	SF/xymon/Xymon/${PORTVERSION}
 PKGNAMESUFFIX=	-server${PKGNAMESUFFIX2}

Modified: head/net-mgmt/xymon-server/files/Makefile
==============================================================================
--- head/net-mgmt/xymon-server/files/Makefile	Sun Nov 17 21:04:12 2013	(r334122)
+++ head/net-mgmt/xymon-server/files/Makefile	Sun Nov 17 21:08:54 2013	(r334123)
@@ -60,9 +60,9 @@ DOSSL = yes
 #
 ifdef WITH_LDAP
 # OpenLDAP settings
-LDAPFLAGS = -DXYMON_LDAP -DXYMON_LDAP_USESTARTTLS
+LDAPFLAGS = -DXYMON_LDAP -DXYMON_LDAP_USESTARTTLS -DHAVE_LDAP
 LDAPINCDIR = -I${PREFIX}/include
-LDAPLIBS = -L${PREFIX}/lib -lldap
+LDAPLIBS = -L${PREFIX}/lib -lldap -llber
 RPATHVAL += ${PREFIX}/lib
 RPATHVAL += /usr/local/lib
 DOLDAP = yes

Modified: head/net-mgmt/xymon-server/pkg-plist
==============================================================================
--- head/net-mgmt/xymon-server/pkg-plist	Sun Nov 17 21:04:12 2013	(r334122)
+++ head/net-mgmt/xymon-server/pkg-plist	Sun Nov 17 21:08:54 2013	(r334123)
@@ -467,6 +467,7 @@ man/man8/xymonproxy.8
 @exec install -d -o %%XYMONUSER%% %D/%%WWWDIR%%/server/www/rep
 @exec install -d -o %%XYMONUSER%% %D/%%WWWDIR%%/server/www/snap
 @exec install -d -o %%XYMONUSER%% %D/%%WWWDIR%%/server/www/wml
+@exec chown %%XYMONUSER%% %D/%%WWWDIR%%/server/www
 @dirrm %%WWWDIR%%/server/www/wml
 @dirrm %%WWWDIR%%/server/www/snap
 @dirrm %%WWWDIR%%/server/www/rep
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Mark Felder freebsd_committer 2013-11-17 21:09:22 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!